import java.util.Map;

public interface ExprContainer extends Genable
{

	public int numIEs(Map<String,Integer> consts);	//these functions return the number of integer and boolean expressions within this Expr.  This is the number of seperate expression processes the compiled Expr will generate.  
	public int numBEs(Map<String,Integer> consts);

	public String getIExpr(int i, Map<String, Integer> ivals); //returns a string representing the ith integer expression in this
	public String getBExpr(int i, Map<String, Integer> ivals,Map<String,Boolean> bvals); //returns a string representing the ith boolean expression in this
}
