//### This file created by BYACC 1.8(/Java extension  1.13)
//### Java capabilities added 7 Jan 97, Bob Jamison
//### Updated : 27 Nov 97  -- Bob Jamison, Joe Nieten
//###           01 Jan 98  -- Bob Jamison -- fixed generic semantic constructor
//###           01 Jun 99  -- Bob Jamison -- added Runnable support
//###           06 Aug 00  -- Bob Jamison -- made state variables class-global
//###           03 Jan 01  -- Bob Jamison -- improved flags, tracing
//###           16 May 01  -- Bob Jamison -- added custom stack sizing
//###           04 Mar 02  -- Yuval Oren  -- improved java performance, added options
//###           14 Mar 02  -- Tomas Hurka -- -d support, static initializer workaround
//### Please send bug reports to tom@hukatronic.cz
//### static char yysccsid[] = "@(#)yaccpar	1.8 (Berkeley) 01/20/90";






//#line 2 "./compiler.y"
  import java.io.*;
  import java.util.Vector;
  import java.util.Collection;
  import java.util.Iterator;
  import java.util.TreeMap;
  import java.util.Map;


//#line 26 "Parser.java"




public class Parser
{

boolean yydebug;        //do I want debug output?
int yynerrs;            //number of errors so far
int yyerrflag;          //was there an error?
int yychar;             //the current working character

//########## MESSAGES ##########
//###############################################################
// method: debug
//###############################################################
void debug(String msg)
{
  if (yydebug)
    System.out.println(msg);
}

//########## STATE STACK ##########
final static int YYSTACKSIZE = 500;  //maximum stack size
int statestk[] = new int[YYSTACKSIZE]; //state stack
int stateptr;
int stateptrmax;                     //highest index of stackptr
int statemax;                        //state when highest index reached
//###############################################################
// methods: state stack push,pop,drop,peek
//###############################################################
final void state_push(int state)
{
  try {
		stateptr++;
		statestk[stateptr]=state;
	 }
	 catch (ArrayIndexOutOfBoundsException e) {
     int oldsize = statestk.length;
     int newsize = oldsize * 2;
     int[] newstack = new int[newsize];
     System.arraycopy(statestk,0,newstack,0,oldsize);
     statestk = newstack;
     statestk[stateptr]=state;
  }
}
final int state_pop()
{
  return statestk[stateptr--];
}
final void state_drop(int cnt)
{
  stateptr -= cnt; 
}
final int state_peek(int relative)
{
  return statestk[stateptr-relative];
}
//###############################################################
// method: init_stacks : allocate and prepare stacks
//###############################################################
final boolean init_stacks()
{
  stateptr = -1;
  val_init();
  return true;
}
//###############################################################
// method: dump_stacks : show n levels of the stacks
//###############################################################
void dump_stacks(int count)
{
int i;
  System.out.println("=index==state====value=     s:"+stateptr+"  v:"+valptr);
  for (i=0;i<count;i++)
    System.out.println(" "+i+"    "+statestk[i]+"      "+valstk[i]);
  System.out.println("======================");
}


//########## SEMANTIC VALUES ##########
//public class ParserVal is defined in ParserVal.java


String   yytext;//user variable to return contextual strings
ParserVal yyval; //used to return semantic vals from action routines
ParserVal yylval;//the 'lval' (result) I got from yylex()
ParserVal valstk[];
int valptr;
//###############################################################
// methods: value stack push,pop,drop,peek.
//###############################################################
void val_init()
{
  valstk=new ParserVal[YYSTACKSIZE];
  yyval=new ParserVal();
  yylval=new ParserVal();
  valptr=-1;
}
void val_push(ParserVal val)
{
  if (valptr>=YYSTACKSIZE)
    return;
  valstk[++valptr]=val;
}
ParserVal val_pop()
{
  if (valptr<0)
    return new ParserVal();
  return valstk[valptr--];
}
void val_drop(int cnt)
{
int ptr;
  ptr=valptr-cnt;
  if (ptr<0)
    return;
  valptr = ptr;
}
ParserVal val_peek(int relative)
{
int ptr;
  ptr=valptr-relative;
  if (ptr<0)
    return new ParserVal();
  return valstk[ptr];
}
//#### end semantic value section ####
public final static short CSP=257;
public final static short NUM=258;
public final static short NAME=259;
public final static short TRUE=260;
public final static short FALSE=261;
public final static short SKIP=262;
public final static short ITER=263;
public final static short WHILE=264;
public final static short DO=265;
public final static short IF=266;
public final static short THEN=267;
public final static short ASSIGN=268;
public final static short SIG=269;
public final static short ISIG=270;
public final static short ATOMIC=271;
public final static short MIN=272;
public final static short MAX=273;
public final static short NOOP=274;
public final static short GLOBCONST=275;
public final static short PROCESS=276;
public final static short PROGRAM=277;
public final static short SIGNAME=278;
public final static short ISIGNAME=279;
public final static short IVAR=280;
public final static short BVAR=281;
public final static short IAVAR=282;
public final static short BAVAR=283;
public final static short CONST=284;
public final static short INT=285;
public final static short BOOL=286;
public final static short WITH=287;
public final static short WATCHING=288;
public final static short ASSERT=289;
public final static short IN=290;
public final static short ALWAYS=291;
public final static short NEVER=292;
public final static short OUTOFRANGE=293;
public final static short NOSIGNAL=294;
public final static short IFX=295;
public final static short ELSE=296;
public final static short OR=297;
public final static short AND=298;
public final static short GE=299;
public final static short LE=300;
public final static short NEG=301;
public final static short YYERRCODE=256;
final static short yylhs[] = {                           -1,
    0,    0,    1,    1,    1,    1,    1,    5,    3,    3,
    3,    3,    3,    3,    3,    7,    7,   14,   14,    9,
    9,   15,   15,    8,    8,   17,   17,   17,   10,   10,
   13,   13,   18,   18,   19,   19,   19,   19,   11,   11,
   12,   12,    4,    4,    4,    4,   21,   21,   20,   20,
   22,   22,   16,   16,   25,    2,   24,   24,   27,   27,
   23,   23,   28,   28,   26,   26,   32,   32,   32,   31,
   31,   31,   31,   31,   31,   31,   31,   31,   31,   31,
   31,   30,   30,   29,   29,   35,   35,   35,   35,   35,
   35,   35,   35,   35,   33,   33,   33,   33,   33,   33,
   33,   33,   33,   33,   33,   33,   36,   36,   34,   34,
   34,   34,   34,   34,   34,   34,   34,   34,   34,   34,
   37,   37,    6,    6,    6,   38,   38,   39,   39,   39,
};
final static short yylen[] = {                            2,
    0,    2,    1,    2,    1,    1,    1,    1,    2,    2,
    4,    4,    2,    2,    2,    1,    3,    1,    3,    1,
    3,    1,    5,    1,    3,    1,    3,    3,    1,    3,
    3,    5,    1,    5,    1,    3,    1,    3,    1,    3,
    1,    3,    5,    5,   11,   11,    3,    5,    1,    3,
    4,    3,    1,    3,    0,    7,    0,    1,    1,    3,
    1,    3,    1,    1,    1,    3,    1,    2,    3,    1,
    2,    4,    4,    4,    6,    3,    3,    4,    6,    2,
    1,    1,    4,    1,    4,    1,    1,    3,    3,    3,
    3,    3,    2,    3,    2,    3,    3,    3,    3,    3,
    3,    3,    3,    1,    1,    1,    1,    4,    3,    3,
    3,    3,    3,    6,    6,    2,    3,    1,    1,    1,
    1,    4,    5,    5,    7,    1,    3,    1,    3,    1,
};
final static short yydefred[] = {                         0,
    8,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    3,    0,    5,    6,    7,    0,    0,    0,   13,    0,
   14,    0,   15,    0,    0,    9,    0,    0,    0,   10,
    0,    0,    0,    0,    2,    4,    0,   59,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  119,
  104,  105,    0,    0,  121,  107,    0,    0,  118,    0,
    0,    0,    0,    0,  106,  120,    0,    0,    0,    0,
    0,    0,   49,   55,    0,   40,   42,    0,   19,    0,
   11,    0,   17,   27,   28,    0,   12,    0,   25,    0,
    0,    0,    0,   95,    0,  116,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  128,    0,  130,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   60,    0,    0,    0,    0,    0,
    0,    0,   87,   86,    0,    0,    0,    0,    0,  103,
  117,  123,    0,   96,    0,    0,    0,    0,    0,    0,
    0,  111,  112,  113,  124,    0,    0,    0,   53,   52,
    0,   47,    0,   50,    0,    0,    0,   32,    0,   21,
    0,   30,    0,    0,   93,    0,    0,    0,    0,    0,
    0,  122,  108,  129,    0,  127,    0,   51,    0,    0,
    0,   70,    0,    0,    0,    0,    0,    0,    0,   81,
   82,   84,    0,    0,    0,   56,    0,    0,   65,    0,
   35,   37,    0,    0,    0,   94,    0,    0,   90,   91,
   92,  125,   54,    0,    0,   48,   71,    0,    0,    0,
    0,    0,   80,    0,    0,    0,    0,    0,    0,   23,
   34,    0,  115,  114,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   66,    0,    0,   36,   38,    0,
   61,   63,   64,    0,   72,    0,    0,   78,    0,   83,
   85,   69,    0,   45,   46,    0,    0,   62,   75,   79,
};
final static short yydgoto[] = {                          9,
   10,   11,   12,   13,   14,   15,   26,   30,   81,   87,
   19,   21,   23,   27,   82,  161,   31,   88,  213,   71,
   72,   73,  260,   39,  124,  206,   40,  261,  207,  208,
  209,  237,   63,   64,  137,   65,   66,  116,  117,
};
final static short yysindex[] = {                       -45,
    0,  -18, -227, -200, -194,  -78,  -77,  -92,    0,  -45,
    0,   10,    0,    0,    0,   21, -136,   83,    0,   85,
    0,   74,    0,   76,   97,    0,  123,  148,  120,    0,
  171,  437,  437,  109,    0,    0,  -57,    0,  194,  199,
 -227, -200,  -20,   -7,   -5,    5, -103,    8,   13,    0,
    0,    0,  216,  219,    0,    0,  154,  190,    0,  437,
  325,  437, -241,  -26,    0,    0,  -61, -157,  237,   16,
  -14,   -4,    0,    0,   30,    0,    0,  252,    0,  241,
    0,  259,    0,    0,    0,  244,    0,  263,    0,  325,
  325,  -38,  -38,    0,  325,    0,  -15,  -37,   32,  437,
  437,  325,  325,  325,  325,  325,  325,  325,  325,  325,
  325,   36,    0,  262,    0,  193,  276,  -32,   86,   34,
   16,   43,  271,  273,    0, -194,  275,   -5,  288,    8,
  205,  282,    0,    0,  -38,  -38,   31,   96,  359,    0,
    0,    0,   44,    0,  324,  324,  324,  324,  324,  174,
  174,    0,    0,    0,    0,   95,   61, -157,    0,    0,
   45,    0,   16,    0,   16,   16,  -86,    0,   98,    0,
   19,    0,  325,  325,    0,  400,  -38,  -38,  -38,  -38,
  -38,    0,    0,    0,   77,    0,  106,    0,   67,   88,
   87,    0,  -86,  437,  -86,  437,  333,  335,  -86,    0,
    0,    0,  286,  290,  442,    0,  116,  118,    0,  112,
    0,    0,  124,  465,  580,    0,  186,  186,    0,    0,
    0,    0,    0,  265,  284,    0,    0, -213,  135, -247,
  131,  132,    0,  -38,  -38,  351,  287,  437,  325,    0,
    0,   24,    0,    0,   58,   58,  -86,  437,  -86,  374,
  375,  108,  117,  442,    0,   -3,  324,    0,    0,  -13,
    0,    0,    0,   -6,    0,   -3,  125,    0,  325,    0,
    0,    0,   58,    0,    0,  -86,  636,    0,    0,    0,
};
final static short yyrindex[] = {                       416,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  416,
    0,    0,    0,    0,    0,    0,  382,  370,    0,  376,
    0,    0,    0,   66,    0,    0,  377,  102,    0,    0,
  385,    0,    0,    0,    0,    0,    0,    0,    0,  393,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  387,    0,  147,
    0,  391,    0,    0,    0,  149,    0,  392,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  329,    0,    0,  278,
    0,  405,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  269,    0,   93,  128,  163,  198,  234,    1,
   47,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,   99,  162,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  331,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  339,    0,  315,  349,    0,    0,    0,
    0,    0,    0,    0,    0,  372,  380,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
};
final static short yygindex[] = {                       448,
    0,    0,    0,    0,    0,    0,  420,  422,  341,  342,
  434,  436,  350,    0,    0,  310,    0,    0,    0,  -55,
    0,  -88,  235,    0,    0, -129,    0,  207, -218, -141,
 -187,  231,  -21,   -8,  -64,    0,    0,  328,    0,
};
final static int YYTABLESIZE=725;
static short yytable[];
static { yytable();}
static void yytable(){
yytable = new short[]{                        111,
  110,  136,   70,  141,  109,  108,  135,  107,  160,  110,
  111,   67,   25,   29,  119,  109,  108,  236,  107,  249,
  110,   17,  102,  106,  103,  140,  262,  262,  138,  121,
  273,   18,  164,  102,  106,  103,  205,  273,   94,  123,
   97,  110,   16,  110,  110,  110,  109,  120,   99,  100,
  101,  247,   96,   98,  262,  100,  101,  122,   20,  110,
  110,  110,  110,  227,   22,  229,  236,  181,   36,  233,
  175,  176,  179,  178,  189,  177,  190,  180,  143,  144,
   37,  131,  132,  100,  101,  188,  139,  109,  187,  109,
  109,  109,  102,  145,  146,  147,  148,  149,  150,  151,
  152,  153,  154,  263,  263,  109,  109,  109,  109,   18,
  191,  274,  217,  218,  219,  220,  221,  265,  275,  267,
  113,  114,   38,  182,   18,  110,   41,  100,   42,  121,
  121,  263,  181,  102,   43,  115,   44,  179,  178,   89,
  177,   89,  180,   89,  181,   26,  279,  162,  226,  179,
  178,  102,  177,  181,  180,  187,   84,   85,  179,  178,
   26,  177,   99,  180,  214,  215,   46,  242,  100,  252,
  253,  109,  228,  240,  230,  192,  193,  194,  195,  196,
   24,   28,  197,  198,  199,  241,  100,  200,  183,   45,
   22,   89,   33,  201,  202,  203,  204,  101,   32,   33,
  270,   34,   88,   99,   88,   22,   88,   33,   47,  271,
  111,    1,   48,    2,   49,  109,  256,  102,   69,  133,
  110,   99,  181,    3,    4,  159,  266,  179,  112,    5,
  257,   68,  180,   98,   74,  100,  101,   78,  101,    6,
    7,  111,   75,    8,   92,  134,  109,  108,  173,  107,
   79,  110,  100,   80,   88,   90,  101,  110,   91,  110,
  277,  104,  105,   24,  110,  110,   86,  110,   97,  110,
  110,   28,  104,  105,   98,  110,  118,   43,  211,  212,
   93,  100,  101,  258,  259,  110,  110,   99,  125,  110,
  110,   69,   98,  100,  101,  126,  110,  110,  110,  110,
  110,  127,  128,  109,  129,  109,  130,  156,  142,   97,
  109,  109,  155,  109,   77,  109,  109,  157,  111,  158,
  163,  109,  101,  109,  108,  174,  107,   97,  110,  165,
  166,  109,  109,  167,  169,  109,  109,  201,  202,  203,
  204,  101,  109,  109,  109,  109,  109,  171,   76,  102,
  185,  102,  184,  222,  224,  159,  102,  102,   98,  102,
  111,  102,  102,  223,   95,  109,  108,  102,  107,   61,
  110,   73,  231,   77,  232,  225,  234,  102,  102,   74,
  235,  102,  102,  238,  100,  239,  100,  245,  102,  102,
  102,  100,  100,   97,  100,  111,  100,  100,  248,  141,
  109,  108,  100,  107,   44,  110,  246,   76,  250,  254,
  251,  255,  100,  100,  268,    1,  100,  100,  269,   99,
  276,   99,   57,  100,  100,  100,   99,   99,   39,   99,
   73,   99,   99,   58,   41,   16,  181,   99,   74,   77,
  216,  179,  178,   24,  177,   31,  180,   99,   99,   20,
   29,   99,   99,  126,  101,   67,  101,   35,   99,   99,
   99,  101,  101,   68,  101,   83,  101,  101,  170,   60,
   89,  172,  101,   76,   76,  168,   62,   77,  210,  278,
  264,   61,  101,  101,  272,  186,  101,  101,    0,    0,
   98,    0,   98,  101,  101,  101,   73,   98,   98,    0,
   98,  111,   98,   98,   74,  243,  109,  108,   98,  107,
    0,  110,    0,    0,    0,    0,    0,    0,   98,   98,
    0,    0,   98,   98,    0,   97,    0,   97,    0,   98,
   98,   98,   97,   97,   43,   97,   43,   97,   97,    0,
    0,    0,    0,   97,    0,    0,   43,   43,    0,    0,
    0,    0,   43,   97,   97,    0,    0,   97,   97,    0,
    0,    0,   43,   43,   97,   97,   43,    0,    0,    0,
    0,   77,    0,   77,    0,    0,    0,    0,   77,    0,
    0,    0,   50,   77,   77,    0,    0,    0,    0,   77,
    0,    0,    0,    0,    0,    0,   53,   54,    0,   77,
   77,    0,    0,   77,   55,   76,   57,   76,   59,    0,
   77,    0,   76,    0,    0,    0,  111,   76,   76,    0,
  244,  109,  108,   76,  107,    0,  110,    0,   73,    0,
   73,    0,    0,   76,   76,   73,   74,   76,   74,    0,
   73,   73,    0,   74,   76,    0,   73,    0,   74,   74,
    0,    0,    0,    0,   74,    0,   73,   73,    0,    0,
   73,   44,    0,   44,   74,   74,    0,   73,   74,    0,
    0,    0,  111,   44,   44,    0,  280,  109,  108,   44,
  107,    0,  110,    0,    0,    0,    0,    0,    0,   44,
   44,    0,    0,   44,   50,    0,   51,   52,    0,    0,
    0,    0,    0,  192,  193,  194,  195,  196,   53,   54,
  197,  198,  199,    0,    0,  200,   55,   56,   57,   58,
   59,  201,  202,  203,  204,
};
}
static short yycheck[];
static { yycheck(); }
static void yycheck() {
yycheck = new short[] {                         37,
    0,   40,   60,   41,   42,   43,   45,   45,   41,   47,
   37,   33,   91,   91,   70,   42,   43,  205,   45,  267,
   47,   40,   60,   61,   62,   41,  245,  246,   93,   44,
   44,  259,  121,   60,   61,   62,  123,   44,   60,   44,
   62,   41,   61,   43,   44,   45,    0,   62,  290,  297,
  298,  265,   61,   62,  273,  297,  298,   62,  259,   59,
   60,   61,   62,  193,  259,  195,  254,   37,   59,  199,
  135,  136,   42,   43,  163,   45,  165,   47,  100,  101,
   60,   90,   91,  297,  298,   41,   95,   41,   44,   43,
   44,   45,    0,  102,  103,  104,  105,  106,  107,  108,
  109,  110,  111,  245,  246,   59,   60,   61,   62,   44,
  166,  125,  177,  178,  179,  180,  181,  247,  125,  249,
  278,  279,  259,   93,   59,  125,   44,    0,   44,   44,
   44,  273,   37,   41,   61,  293,   61,   42,   43,   41,
   45,   43,   47,   45,   37,   44,  276,   62,   62,   42,
   43,   59,   45,   37,   47,   44,  260,  261,   42,   43,
   59,   45,    0,   47,  173,  174,   44,   44,   41,  234,
  235,  125,  194,   62,  196,  262,  263,  264,  265,  266,
  259,  259,  269,  270,  271,   62,   59,  274,   93,   93,
   44,   93,   44,  280,  281,  282,  283,    0,  291,  292,
   93,  294,   41,   41,   43,   59,   45,   59,   61,   93,
   37,  257,   93,  259,   44,   42,  238,  125,  276,  258,
   47,   59,   37,  269,  270,  258,  248,   42,  290,  275,
  239,  123,   47,    0,   41,  297,  298,  258,   41,  285,
  286,   37,   44,  289,   91,  284,   42,   43,   44,   45,
  258,   47,  125,  259,   93,   40,   59,  257,   40,  259,
  269,  299,  300,  259,  264,  265,  259,  267,    0,  269,
  270,  259,  299,  300,   41,  275,   40,    0,  260,  261,
   91,  297,  298,  260,  261,  285,  286,  125,  259,  289,
  290,  276,   59,  297,  298,   44,  296,  297,  298,  299,
  300,   61,   44,  257,   61,  259,   44,   46,  277,   41,
  264,  265,  277,  267,    0,  269,  270,  125,   37,   44,
  287,  275,  125,   42,   43,   44,   45,   59,   47,  287,
   60,  285,  286,   61,   60,  289,  290,  280,  281,  282,
  283,  298,  296,  297,  298,  299,  300,   60,    0,  257,
  290,  259,  258,  277,  288,  258,  264,  265,  125,  267,
   37,  269,  270,  258,   40,   42,   43,  275,   45,   45,
   47,    0,   40,   59,   40,  288,   91,  285,  286,    0,
   91,  289,  290,  268,  257,  268,  259,  123,  296,  297,
  298,  264,  265,  125,  267,   37,  269,  270,  264,   41,
   42,   43,  275,   45,    0,   47,  123,   59,  278,   59,
  279,  125,  285,  286,   41,    0,  289,  290,   44,  257,
  296,  259,   41,  296,  297,  298,  264,  265,   59,  267,
   59,  269,  270,   41,   59,   59,   37,  275,   59,  125,
   41,   42,   43,   59,   45,   59,   47,  285,  286,   59,
   59,  289,  290,  125,  257,  125,  259,   10,  296,  297,
  298,  264,  265,  125,  267,   46,  269,  270,  128,   33,
   49,  130,  275,  125,   41,  126,   40,   42,  169,  273,
  246,   45,  285,  286,  254,  158,  289,  290,   -1,   -1,
  257,   -1,  259,  296,  297,  298,  125,  264,  265,   -1,
  267,   37,  269,  270,  125,   41,   42,   43,  275,   45,
   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,  285,  286,
   -1,   -1,  289,  290,   -1,  257,   -1,  259,   -1,  296,
  297,  298,  264,  265,  257,  267,  259,  269,  270,   -1,
   -1,   -1,   -1,  275,   -1,   -1,  269,  270,   -1,   -1,
   -1,   -1,  275,  285,  286,   -1,   -1,  289,  290,   -1,
   -1,   -1,  285,  286,  296,  297,  289,   -1,   -1,   -1,
   -1,  257,   -1,  259,   -1,   -1,   -1,   -1,  264,   -1,
   -1,   -1,  258,  269,  270,   -1,   -1,   -1,   -1,  275,
   -1,   -1,   -1,   -1,   -1,   -1,  272,  273,   -1,  285,
  286,   -1,   -1,  289,  280,  257,  282,  259,  284,   -1,
  296,   -1,  264,   -1,   -1,   -1,   37,  269,  270,   -1,
   41,   42,   43,  275,   45,   -1,   47,   -1,  257,   -1,
  259,   -1,   -1,  285,  286,  264,  257,  289,  259,   -1,
  269,  270,   -1,  264,  296,   -1,  275,   -1,  269,  270,
   -1,   -1,   -1,   -1,  275,   -1,  285,  286,   -1,   -1,
  289,  257,   -1,  259,  285,  286,   -1,  296,  289,   -1,
   -1,   -1,   37,  269,  270,   -1,   41,   42,   43,  275,
   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,  285,
  286,   -1,   -1,  289,  258,   -1,  260,  261,   -1,   -1,
   -1,   -1,   -1,  262,  263,  264,  265,  266,  272,  273,
  269,  270,  271,   -1,   -1,  274,  280,  281,  282,  283,
  284,  280,  281,  282,  283,
};
}
final static short YYFINAL=9;
final static short YYMAXTOKEN=301;
final static String yyname[] = {
"end-of-file",null,null,null,null,null,null,null,null,null,null,null,null,null,
null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,
null,null,null,"'!'",null,null,null,"'%'",null,null,"'('","')'","'*'","'+'",
"','","'-'","'.'","'/'",null,null,null,null,null,null,null,null,null,null,null,
"';'","'<'","'='","'>'",null,null,null,null,null,null,null,null,null,null,null,
null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,
null,"'['",null,"']'",null,null,null,null,null,null,null,null,null,null,null,
null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,
null,null,"'{'",null,"'}'",null,null,null,null,null,null,null,null,null,null,
null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,
null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,
null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,
null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,
null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,
null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,
null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,
null,null,null,null,null,null,null,null,null,"CSP","NUM","NAME","TRUE","FALSE",
"SKIP","ITER","WHILE","DO","IF","THEN","ASSIGN","SIG","ISIG","ATOMIC","MIN",
"MAX","NOOP","GLOBCONST","PROCESS","PROGRAM","SIGNAME","ISIGNAME","IVAR","BVAR",
"IAVAR","BAVAR","CONST","INT","BOOL","WITH","WATCHING","ASSERT","IN","ALWAYS",
"NEVER","OUTOFRANGE","NOSIGNAL","IFX","ELSE","OR","AND","GE","LE","NEG",
};
final static String yyrule[] = {
"$accept : Input",
"Input :",
"Input : Stmt Input",
"Stmt : Process",
"Stmt : Decleration ';'",
"Stmt : Program",
"Stmt : CSPStmt",
"Stmt : Assertion",
"CSPStmt : CSP",
"Decleration : INT INameList",
"Decleration : BOOL BNameList",
"Decleration : INT '[' ']' IANameList",
"Decleration : BOOL '[' ']' BANameList",
"Decleration : SIG SigNameList",
"Decleration : ISIG ISigNameList",
"Decleration : GLOBCONST GlobConstList",
"INameList : IName",
"INameList : IName ',' INameList",
"IName : NAME",
"IName : NAME '=' NUM",
"IANameList : IAName",
"IANameList : IAName ',' IANameList",
"IAName : NAME",
"IAName : NAME '=' '<' NonEmptyNumList '>'",
"BNameList : BName",
"BNameList : BName ',' BNameList",
"BName : NAME",
"BName : NAME '=' TRUE",
"BName : NAME '=' FALSE",
"BANameList : BAName",
"BANameList : BAName ',' BANameList",
"GlobConstList : NAME '=' NUM",
"GlobConstList : NAME '=' NUM ',' GlobConstList",
"BAName : NAME",
"BAName : NAME '=' '<' NonEmptyBoolList '>'",
"NonEmptyBoolList : TRUE",
"NonEmptyBoolList : NonEmptyBoolList ',' TRUE",
"NonEmptyBoolList : FALSE",
"NonEmptyBoolList : NonEmptyBoolList ',' FALSE",
"SigNameList : NAME",
"SigNameList : NAME ',' SigNameList",
"ISigNameList : NAME",
"ISigNameList : NAME ',' ISigNameList",
"Program : NAME '=' '<' ProcList '>'",
"Program : NAME '=' '<' ProcListList '>'",
"Program : NAME '=' '<' ProcList '>' WITH Proc WATCHING '{' VarNameList '}'",
"Program : NAME '=' '<' ProcListList '>' WITH Proc WATCHING '{' VarNameList '}'",
"ProcListList : '<' ProcList '>'",
"ProcListList : ProcListList ',' '<' ProcList '>'",
"ProcList : Proc",
"ProcList : ProcList ',' Proc",
"Proc : PROCESS '(' NonEmptyNumList ')'",
"Proc : PROCESS '(' ')'",
"NonEmptyNumList : NUM",
"NonEmptyNumList : NonEmptyNumList ',' NUM",
"$$1 :",
"Process : NAME '(' ArgList ')' $$1 '=' Prog",
"ArgList :",
"ArgList : NonEmptyArgList",
"NonEmptyArgList : NAME",
"NonEmptyArgList : NonEmptyArgList ',' NAME",
"VarNameList : VarName",
"VarNameList : VarNameList ',' VarName",
"VarName : BVName",
"VarName : IVName",
"Prog : Cmd",
"Prog : '{' Cmds '}'",
"Cmds : Cmd",
"Cmds : Cmd ';'",
"Cmds : Cmd ';' Cmds",
"Cmd : SKIP",
"Cmd : ITER Prog",
"Cmd : WHILE BExpr DO Prog",
"Cmd : DO Prog WHILE BExpr",
"Cmd : IF BExpr THEN Prog",
"Cmd : IF BExpr THEN Prog ELSE Prog",
"Cmd : IVName ASSIGN IExpr",
"Cmd : BVName ASSIGN BExpr",
"Cmd : SIG '(' SIGNAME ')'",
"Cmd : ISIG '(' ISIGNAME ',' IExpr ')'",
"Cmd : ATOMIC Prog",
"Cmd : NOOP",
"IVName : IVAR",
"IVName : IAVAR '[' IConst ']'",
"BVName : BVAR",
"BVName : BAVAR '[' IConst ']'",
"IConst : CONST",
"IConst : NUM",
"IConst : IConst '+' IConst",
"IConst : IConst '-' IConst",
"IConst : IConst '*' IConst",
"IConst : IConst '/' IConst",
"IConst : IConst '%' IConst",
"IConst : '-' IConst",
"IConst : '(' IConst ')'",
"BExpr : '!' BExpr",
"BExpr : BExpr AND BExpr",
"BExpr : BExpr OR BExpr",
"BExpr : IExpr '=' IExpr",
"BExpr : IExpr GE IExpr",
"BExpr : IExpr '>' IExpr",
"BExpr : IExpr LE IExpr",
"BExpr : IExpr '<' IExpr",
"BExpr : '(' BExpr ')'",
"BExpr : TRUE",
"BExpr : FALSE",
"BExpr : BVar",
"BVar : BVAR",
"BVar : BAVAR '[' IConst ']'",
"IExpr : IExpr '+' IExpr",
"IExpr : IExpr '-' IExpr",
"IExpr : IExpr '*' IExpr",
"IExpr : IExpr '/' IExpr",
"IExpr : IExpr '%' IExpr",
"IExpr : MAX '(' IExpr ',' IExpr ')'",
"IExpr : MIN '(' IExpr ',' IExpr ')'",
"IExpr : '-' IExpr",
"IExpr : '(' IExpr ')'",
"IExpr : CONST",
"IExpr : NUM",
"IExpr : IVar",
"IVar : IVAR",
"IVar : IAVAR '[' IConst ']'",
"Assertion : ASSERT ALWAYS BExpr IN PROGRAM",
"Assertion : ASSERT NEVER BExpr IN PROGRAM",
"Assertion : ASSERT NOSIGNAL '{' SignalList '}' IN PROGRAM",
"SignalList : Signal",
"SignalList : Signal ',' SignalList",
"Signal : SIGNAME",
"Signal : ISIGNAME '.' NUM",
"Signal : OUTOFRANGE",
};

//#line 366 "./compiler.y"
  
  Context context; //keeps track of variable names for entire program
  Map<String, Process> procs;
  Vector<String> csp;//needs to be a vector so its in order, so asserts occur in the correct order
  Map<String, Program> progs;
  Vector<Assertion> asserts;

  private Yylex lexer;


  private int yylex (){
    int yyl_return = -1;
    try{
      yylval = new ParserVal(0);
      yyl_return = lexer.yylex();

    }
    catch(IOException e){yyerror(e.getMessage());}
    return yyl_return;
  }


  public void yyerror (String error) {
    throw new ParserException("Error Near Line " + lexer.lineno + ": " + error);
  }


  public Parser(Reader r) {
    context = new Context();
    lexer = new Yylex(r, this, context);
    procs = new TreeMap<String, Process> ();
    csp = new Vector<String>();
    progs = new TreeMap<String, Program>();
    asserts = new Vector<Assertion>();
  }

  public static void main(String args[]) throws IOException
  //reads args[0] outputs to args[1] or std output
  {
	if ( args.length > 0 ) 
	{
		Parser parser;
		// parse a file
		parser = new Parser(new FileReader(args[0]));
		PrintStream stream = (args.length > 1) ? new PrintStream( args[1]) : System.out;
		parser.output(stream);
		stream.close();
	}

   }
   
   public void output(PrintStream stream) throws IOException
   {
   	yyparse();
   	stream.println("include \"share2priorities.csp\"\n");
	stream.println(context.genCode());
	stream.println("nie = " + numIEs());
	stream.println("nbe = " + numBEs());
	stream.println("nps = " + numProcs());
	for (Iterator<String> i = csp.iterator(); i.hasNext(); stream.println(i.next())) {}
	for (Iterator<String> i = procs.keySet().iterator(); i.hasNext(); stream.println(procs.get(i.next()).genCode(context)) ) {}
	for (Iterator<String> i = progs.keySet().iterator(); i.hasNext(); stream.println(progs.get(i.next()).genCode(context)) ) {}
	for (Iterator<Assertion> i = asserts.iterator(); i.hasNext(); stream.println(i.next().genCode(context)) ) {}
	stream.flush();   	
   }
    
   public int numIEs()
   {
   	//search over both assertions and progs in case the user wants to add csp asserts directly
   	//(assuming they perform those asserts on declared programs)
   	int num = 1;//must be at least 1
   	Iterator<Assertion> i = asserts.iterator();
   	while (i.hasNext())
   	{
   		int j = i.next().numIEs(context.globalConsts);
   		num = (j > num)? j : num;
   	}
   	Iterator<String> k = progs.keySet().iterator();
   	while (k.hasNext())
   	{
   		int j = progs.get(k.next()).numIEs(context.globalConsts);
   		num = (j > num)? j : num;
   	}
   	return num;
   }
   
   public int numBEs()
   {
   	int num = 1; //must be at least 1
   	Iterator<Assertion> i = asserts.iterator();
   	while (i.hasNext())
   	{
   		int j = i.next().numBEs(context.globalConsts);
   		num = (j > num)? j : num;
   	}
   	Iterator<String> k = progs.keySet().iterator();
   	while (k.hasNext())
   	{
   		int j = progs.get(k.next()).numBEs(context.globalConsts);
   		num = (j > num)? j : num;
   	}
   	return num;
   }
    
   public int numProcs()
   {
   	int num = 0;
   	Iterator<Assertion> i = asserts.iterator();
   	while (i.hasNext())
   	{
   		int j = i.next().numProcs();
   		num = (j > num)? j : num;
   	}
   	Iterator<String> k = progs.keySet().iterator();
   	while (k.hasNext())
   	{
   		int j = progs.get(k.next()).numProcs();
   		num = (j > num)? j : num;
   	}
   	return num;
   }

   final boolean DEBUG = true;
   private void trace (String s)
   {
	if (DEBUG)
		System.out.println("Parser: " + s);
   }
   private void check(boolean b, String s)
   {
   	if (DEBUG) if (!b) throw new ParserException("assert failed: " + s);
   }
//#line 724 "Parser.java"
//###############################################################
// method: yylexdebug : check lexer state
//###############################################################
void yylexdebug(int state,int ch)
{
String s=null;
  if (ch < 0) ch=0;
  if (ch <= YYMAXTOKEN) //check index bounds
     s = yyname[ch];    //now get it
  if (s==null)
    s = "illegal-symbol";
  debug("state "+state+", reading "+ch+" ("+s+")");
}





//The following are now global, to aid in error reporting
int yyn;       //next next thing to do
int yym;       //
int yystate;   //current parsing state from state table
String yys;    //current token string


//###############################################################
// method: yyparse : parse input and execute indicated items
//###############################################################
int yyparse()
{
boolean doaction;
  init_stacks();
  yynerrs = 0;
  yyerrflag = 0;
  yychar = -1;          //impossible char forces a read
  yystate=0;            //initial state
  state_push(yystate);  //save it
  while (true) //until parsing is done, either correctly, or w/error
    {
    doaction=true;
    if (yydebug) debug("loop"); 
    //#### NEXT ACTION (from reduction table)
    for (yyn=yydefred[yystate];yyn==0;yyn=yydefred[yystate])
      {
      if (yydebug) debug("yyn:"+yyn+"  state:"+yystate+"  yychar:"+yychar);
      if (yychar < 0)      //we want a char?
        {
        yychar = yylex();  //get next token
        if (yydebug) debug(" next yychar:"+yychar);
        //#### ERROR CHECK ####
        if (yychar < 0)    //it it didn't work/error
          {
          yychar = 0;      //change it to default string (no -1!)
          if (yydebug)
            yylexdebug(yystate,yychar);
          }
        }//yychar<0
      yyn = yysindex[yystate];  //get amount to shift by (shift index)
      if ((yyn != 0) && (yyn += yychar) >= 0 &&
          yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
        {
        if (yydebug)
          debug("state "+yystate+", shifting to state "+yytable[yyn]);
        //#### NEXT STATE ####
        yystate = yytable[yyn];//we are in a new state
        state_push(yystate);   //save it
        val_push(yylval);      //push our lval as the input for next rule
        yychar = -1;           //since we have 'eaten' a token, say we need another
        if (yyerrflag > 0)     //have we recovered an error?
           --yyerrflag;        //give ourselves credit
        doaction=false;        //but don't process yet
        break;   //quit the yyn=0 loop
        }

    yyn = yyrindex[yystate];  //reduce
    if ((yyn !=0 ) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
      {   //we reduced!
      if (yydebug) debug("reduce");
      yyn = yytable[yyn];
      doaction=true; //get ready to execute
      break;         //drop down to actions
      }
    else //ERROR RECOVERY
      {
      if (yyerrflag==0)
        {
        yyerror("syntax error");
        yynerrs++;
        }
      if (yyerrflag < 3) //low error count?
        {
        yyerrflag = 3;
        while (true)   //do until break
          {
          if (stateptr<0)   //check for under & overflow here
            {
            yyerror("stack underflow. aborting...");  //note lower case 's'
            return 1;
            }
          yyn = yysindex[state_peek(0)];
          if ((yyn != 0) && (yyn += YYERRCODE) >= 0 &&
                    yyn <= YYTABLESIZE && yycheck[yyn] == YYERRCODE)
            {
            if (yydebug)
              debug("state "+state_peek(0)+", error recovery shifting to state "+yytable[yyn]+" ");
            yystate = yytable[yyn];
            state_push(yystate);
            val_push(yylval);
            doaction=false;
            break;
            }
          else
            {
            if (yydebug)
              debug("error recovery discarding state "+state_peek(0)+" ");
            if (stateptr<0)   //check for under & overflow here
              {
              yyerror("Stack underflow. aborting...");  //capital 'S'
              return 1;
              }
            state_pop();
            val_pop();
            }
          }
        }
      else            //discard this token
        {
        if (yychar == 0)
          return 1; //yyabort
        if (yydebug)
          {
          yys = null;
          if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
          if (yys == null) yys = "illegal-symbol";
          debug("state "+yystate+", error recovery discards token "+yychar+" ("+yys+")");
          }
        yychar = -1;  //read another
        }
      }//end error recovery
    }//yyn=0 loop
    if (!doaction)   //any reason not to proceed?
      continue;      //skip action
    yym = yylen[yyn];          //get count of terminals on rhs
    if (yydebug)
      debug("state "+yystate+", reducing "+yym+" by rule "+yyn+" ("+yyrule[yyn]+")");
    if (yym>0)                 //if count of rhs not 'nil'
      yyval = val_peek(yym-1); //get current semantic value
    switch(yyn)
      {
//########## USER-SUPPLIED ACTIONS ##########
case 1:
//#line 33 "./compiler.y"
{trace("Input - empty string matched");}
break;
case 2:
//#line 34 "./compiler.y"
{trace("Input - Stmt Input matched");}
break;
case 3:
//#line 37 "./compiler.y"
{trace("Stmt - Process matched\n");}
break;
case 4:
//#line 38 "./compiler.y"
{trace("Stmt - Decleration matched\n");}
break;
case 5:
//#line 39 "./compiler.y"
{trace("Stmt - Program matched\n");}
break;
case 6:
//#line 40 "./compiler.y"
{trace("Stmt - CSPStmt Matched\n");}
break;
case 7:
//#line 41 "./compiler.y"
{trace("Stmt - Assertion matched\n");}
break;
case 8:
//#line 44 "./compiler.y"
{trace("CSPStmt - CSP(" + val_peek(0).sval + ") matched"); csp.add(val_peek(0).sval);}
break;
case 9:
//#line 46 "./compiler.y"
{trace("Decleration - INT INameList matched");}
break;
case 10:
//#line 47 "./compiler.y"
{trace("Decleration - BOOL BNameList matched");}
break;
case 11:
//#line 48 "./compiler.y"
{trace("Decleration - INT[] IANameList matched");}
break;
case 12:
//#line 49 "./compiler.y"
{trace("Decleration - BOOL[] BANameList matched");}
break;
case 13:
//#line 50 "./compiler.y"
{trace("Decleration - SIG[] SigNameList matched");}
break;
case 14:
//#line 51 "./compiler.y"
{trace("Decleration - ISIG[] ISigNameList matched");}
break;
case 15:
//#line 52 "./compiler.y"
{trace("Decleration - GLOBCONST GlobConstList matched");}
break;
case 16:
//#line 55 "./compiler.y"
{trace("INameList - IName matched");}
break;
case 17:
//#line 56 "./compiler.y"
{trace("INameList - IName , INameList matched");}
break;
case 18:
//#line 59 "./compiler.y"
{context.newI(val_peek(0).sval);trace("IName - NAME (" + val_peek(0).sval + ") matched");}
break;
case 19:
//#line 60 "./compiler.y"
{context.newI(val_peek(2).sval, val_peek(0).ival);trace("IName - NAME (" + val_peek(2).sval + ") = NUM ("+ val_peek(0).ival + ") matched");}
break;
case 20:
//#line 63 "./compiler.y"
{trace("IANameList - IAName matched");}
break;
case 21:
//#line 64 "./compiler.y"
{trace("IANameList - IAName , IANameList matched");}
break;
case 22:
//#line 67 "./compiler.y"
{context.newIA(val_peek(0).sval);trace("IAName - NAME (" + val_peek(0).sval + ") matched");}
break;
case 23:
//#line 68 "./compiler.y"
{context.newIA(val_peek(4).sval, (Vector<Integer>)val_peek(1).obj);trace("IAName - NAME (" + val_peek(4).sval + ") = < NonEmptyNumList > matched");}
break;
case 24:
//#line 71 "./compiler.y"
{trace("BNameList - BName matched");}
break;
case 25:
//#line 72 "./compiler.y"
{trace("BNameList - BName), BNameList matched");}
break;
case 26:
//#line 75 "./compiler.y"
{context.newB(val_peek(0).sval);trace("BName - NAME (" + val_peek(0).sval + ") matched");}
break;
case 27:
//#line 76 "./compiler.y"
{context.newB(val_peek(2).sval, true);trace("BNameList - NAME (" + val_peek(2).sval + ") = TRUE matched");}
break;
case 28:
//#line 77 "./compiler.y"
{context.newB(val_peek(2).sval, false);trace("BNameList - NAME (" + val_peek(2).sval + ") = FALSE matched");}
break;
case 29:
//#line 80 "./compiler.y"
{trace("BANameList - BAName matched");}
break;
case 30:
//#line 81 "./compiler.y"
{context.newBA(val_peek(2).sval);trace("BANameList - BAName (" + val_peek(2).sval + "), BANameList matched");}
break;
case 31:
//#line 84 "./compiler.y"
{context.newGlobConst(val_peek(2).sval, val_peek(0).ival); trace("GlobConstList - NAME(" + val_peek(2).sval + " = " + "NUM(" + val_peek(0).ival + ") - matched");}
break;
case 32:
//#line 85 "./compiler.y"
{context.newGlobConst(val_peek(4).sval, val_peek(2).ival); trace("GlobConstList - NAME(" + val_peek(4).sval + " = " + "NUM(" + val_peek(2).ival + ") , GlobConstList - matched");}
break;
case 33:
//#line 88 "./compiler.y"
{context.newBA(val_peek(0).sval);trace("BAName - NAME (" + val_peek(0).sval + ") matched");}
break;
case 34:
//#line 89 "./compiler.y"
{context.newBA(val_peek(4).sval, (Vector<Boolean>)val_peek(1).obj); trace("BAName - NAME(" + val_peek(4).sval + ") = < NonEmptyBoolList >");}
break;
case 35:
//#line 92 "./compiler.y"
{Vector<Boolean> vector = new Vector<Boolean>(); vector.add(true); yyval.obj = vector; trace("NonEmptyBoolList - TRUE matched");}
break;
case 36:
//#line 93 "./compiler.y"
{((Vector<Boolean>)val_peek(2).obj).add(true); yyval.obj = val_peek(2).obj; trace("NonEmptyBoolList - NonEmptyBoolList, TRUE matched");}
break;
case 37:
//#line 94 "./compiler.y"
{Vector<Boolean> vector = new Vector<Boolean>(); vector.add(false); yyval.obj = vector; trace("NonEmptyBoolList - FALSE matched");}
break;
case 38:
//#line 95 "./compiler.y"
{((Vector<Boolean>)val_peek(2).obj).add(false); yyval.obj = val_peek(2).obj; trace("NonEmptyBoolList - NonEmptyBoolList, FALSE matched");}
break;
case 39:
//#line 99 "./compiler.y"
{context.newSig(val_peek(0).sval);trace("SigNameList - NAME (" + val_peek(0).sval + ") matched");}
break;
case 40:
//#line 100 "./compiler.y"
{context.newSig(val_peek(2).sval);trace("SigNameList - NAME (" + val_peek(2).sval + "), SigNameList matched");}
break;
case 41:
//#line 103 "./compiler.y"
{context.newISig(val_peek(0).sval);trace("ISigNameList - NAME (" + val_peek(0).sval + ") matched");}
break;
case 42:
//#line 104 "./compiler.y"
{context.newISig(val_peek(2).sval);trace("ISigNameList - NAME (" + val_peek(2).sval + "), ISigNameList matched");}
break;
case 43:
//#line 107 "./compiler.y"
{
						Vector<Vector<CompilableProc>> vec = new Vector<Vector<CompilableProc>>();
						vec.add((Vector<CompilableProc>) val_peek(1).obj);
						progs.put(val_peek(4).sval,new Program( val_peek(4).sval,vec));
						context.newProgram(val_peek(4).sval);
						trace("Program - NAME(" + val_peek(4).sval + ") = < ProcList > matched");
				 	}
break;
case 44:
//#line 114 "./compiler.y"
{
						progs.put(val_peek(4).sval,new Program( val_peek(4).sval,(Vector<Vector<CompilableProc>>) val_peek(1).obj));
						context.newProgram(val_peek(4).sval);
						trace("Program - NAME(" + val_peek(4).sval + ") = < ProcListList > matched");
					}
break;
case 45:
//#line 120 "./compiler.y"
{
						Vector<Vector<CompilableProc>> vec = new Vector<Vector<CompilableProc>>();
						vec.add((Vector<CompilableProc>) val_peek(7).obj);
						progs.put(val_peek(10).sval,new MonitoredProgram( val_peek(10).sval,vec, (CompilableProc) val_peek(4).obj, (Vector<VName>)val_peek(1).obj ));
						context.newProgram(val_peek(10).sval);
						trace("Program - NAME(" + val_peek(10).sval + ") = < ProcList > WITH Proc WATCHING '{' VarNameList '}' matched");
				 	}
break;
case 46:
//#line 128 "./compiler.y"
{
						progs.put(val_peek(10).sval,new MonitoredProgram( val_peek(10).sval,(Vector<Vector<CompilableProc>>) val_peek(7).obj, (CompilableProc) val_peek(4).obj, (Vector<VName>)val_peek(1).obj));
						context.newProgram(val_peek(10).sval);
						trace("Program - NAME(" + val_peek(10).sval + ") = < ProcListList > WITH Proc WATCHING '{' VarNameList '}' matched");
					}
break;
case 47:
//#line 135 "./compiler.y"
{ Vector<Vector<CompilableProc>> vec = new Vector<Vector<CompilableProc>>(); vec.add((Vector<CompilableProc>) val_peek(1).obj); yyval.obj=vec;trace("ProcListList - '<' ProcList '>' matched");}
break;
case 48:
//#line 136 "./compiler.y"
{ ((Vector<Vector<CompilableProc>>)val_peek(4).obj).add((Vector<CompilableProc>)val_peek(1).obj); yyval.obj = val_peek(4).obj;trace("ProcListList - ProcListList ',' '<' ProcList '>' matched");}
break;
case 49:
//#line 166 "./compiler.y"
{
			check( val_peek(0).obj instanceof InitializedProc, "ProcList - Proc $1.obj incorrect type");
			
			Vector<CompilableProc> vec = new Vector<CompilableProc>();
			InitializedProc p = (InitializedProc) val_peek(0).obj;
			
			vec.add(p);
			yyval.obj = vec;
			trace("ProcList - Proc matched");
		}
break;
case 50:
//#line 177 "./compiler.y"
{
			check( val_peek(0).obj instanceof InitializedProc, "ProcList - Proc,ProcList $1.obj incorrect type");
			check( val_peek(2).obj instanceof Vector, "ProcList - Proc,ProcList $3.obj incorrect type");
			
			Vector<CompilableProc> vec = (Vector<CompilableProc>)val_peek(2).obj;
			InitializedProc p = (InitializedProc) val_peek(0).obj;
			
			vec.add(p);
			yyval.obj = vec;
			trace("ProcList - ProcList , Proc matched");
		}
break;
case 51:
//#line 192 "./compiler.y"
{
		check( val_peek(1).obj instanceof Vector, "Proc - PROCESS(NonEmptyNumList) $3.obj incorrect type");
		
		Process process = procs.get(val_peek(3).sval);
		Vector<Integer> args = (Vector<Integer>)val_peek(1).obj;
		/*trace("process = " + process);*/
		/*trace("args = " + args);*/
		if (process.numArgs() != args.size()) throw new ParserException(val_peek(3).sval + " given " + args.size() + " arguments but expects " + process.numArgs());
		
		yyval.obj = new InitializedProc(process, args);
		trace("Proc - PROCESS ( NonEmptyNumList ) matched");
		/*trace("Proc - returning " + $$.obj);*/
	}
break;
case 52:
//#line 206 "./compiler.y"
{
		Process process = procs.get(val_peek(2).sval);
		/*trace("process = " + process);*/
		
		if (process.numArgs() != 0) throw new ParserException(val_peek(2).sval + " given no arguments but expects " + process.numArgs());
		
		yyval.obj = new InitializedProc(process, new Vector<Integer>());
		trace("Proc - PROCESS () matched");
		/*trace("Proc - returning " + $$.obj);*/
	}
break;
case 53:
//#line 219 "./compiler.y"
{
				Vector<Integer> vector = new Vector<Integer>();
				vector.add(val_peek(0).ival);
				yyval.obj = vector;
				trace("NonEmptyNumList - NUM(" + val_peek(0).ival + ") matched");
				/*trace("NonEmptyNumList returning " + $$.obj);*/
			}
break;
case 54:
//#line 227 "./compiler.y"
{	
				check( val_peek(2).obj instanceof Vector, "NonEmptyNumList - NonEmptyNumList, Num $1.obj incorrect type");
				((Vector<Integer>)val_peek(2).obj).add(val_peek(0).ival); 
				yyval.obj = val_peek(2).obj; 
				trace("NonEmptyNumList - NonEmptyNumList, NUM(" + val_peek(0).ival + ") mathced");
				/*trace("NonEmptyNumList returning " + $$.obj);*/
			}
break;
case 55:
//#line 236 "./compiler.y"
{context.registerConstants((Vector<String>)val_peek(1).obj); trace("Registering Constants for " + val_peek(3).sval);}
break;
case 56:
//#line 236 "./compiler.y"
{ 	procs.put(val_peek(6).sval, new Process(val_peek(6).sval, (Vector<String>)val_peek(4).obj, (Cmd)val_peek(0).obj));
				context.newProcess(val_peek(6).sval);
				trace("Process - NAME(" + val_peek(6).sval + ") (ArgList) = Prog matched");
				context.deregisterConsts();/*needs doing before next arglist is found*/
							    /*as lexer should flag names in arglist as names not consts	*/
			}
break;
case 57:
//#line 244 "./compiler.y"
{yyval.obj = new Vector<String>(); trace("ArgList - Empty String matched\n");}
break;
case 58:
//#line 245 "./compiler.y"
{yyval.obj = val_peek(0).obj;trace("ArgList - NonEmptyArgList matched\n");}
break;
case 59:
//#line 248 "./compiler.y"
{Vector<String> v = new Vector<String>(); v.add(val_peek(0).sval); yyval.obj = v;trace("NonEmptyArgList - Name(" + val_peek(0).sval + ") matched");}
break;
case 60:
//#line 249 "./compiler.y"
{ ((Vector<String>)val_peek(2).obj).add(val_peek(0).sval); yyval.obj = val_peek(2).obj;trace("NonEmptyArgList - Name(" + val_peek(2).sval + "), NonEmptyArgList matched");}
break;
case 61:
//#line 253 "./compiler.y"
{Vector<VName> v = new Vector<VName>(); v.add((VName)val_peek(0).obj); yyval.obj = v;trace("VarNameList - VarName matched");}
break;
case 62:
//#line 254 "./compiler.y"
{Vector<VName> v = (Vector<VName>)val_peek(2).obj; v.add((VName)val_peek(0).obj); yyval.obj = v;trace("VarNameList - VarNameList , VarName matched");}
break;
case 63:
//#line 257 "./compiler.y"
{yyval.obj = val_peek(0).obj; trace("VarName - BVName matched");}
break;
case 64:
//#line 258 "./compiler.y"
{yyval.obj = val_peek(0).obj; trace("VarName - IVName matched");}
break;
case 65:
//#line 261 "./compiler.y"
{yyval.obj = val_peek(0).obj;trace("Prog - Cmd matched");}
break;
case 66:
//#line 262 "./compiler.y"
{yyval.obj = val_peek(1).obj;trace("Prog - { Cmds } matched");}
break;
case 67:
//#line 265 "./compiler.y"
{yyval.obj = val_peek(0).obj; trace("Cmds - Cmd matched");}
break;
case 68:
//#line 266 "./compiler.y"
{yyval.obj = val_peek(1).obj; trace("Cmds - Cmd ; matched");}
break;
case 69:
//#line 267 "./compiler.y"
{yyval.obj = new Seq( (Cmd)val_peek(2).obj, (Cmd)val_peek(0).obj); trace("Cmds - Cmd;Cmd matched\n");}
break;
case 70:
//#line 270 "./compiler.y"
{yyval.obj = new Skip(); trace("Cmd - Skip matched\n");}
break;
case 71:
//#line 271 "./compiler.y"
{yyval.obj = new Iter( (Cmd) val_peek(0).obj); trace("Cmd - ITER Prog matched\n");}
break;
case 72:
//#line 272 "./compiler.y"
{yyval.obj = new While( (BExpr) val_peek(2).obj, (Cmd) val_peek(0).obj); trace("Cmd - WHILE BExpr DO Prog matched\n");}
break;
case 73:
//#line 273 "./compiler.y"
{yyval.obj = new DoWhile( (Cmd) val_peek(2).obj, (BExpr) val_peek(0).obj); trace("Cmd - DO Prog WHILE BExpr matched\n");}
break;
case 74:
//#line 274 "./compiler.y"
{yyval.obj = new If( (BExpr) val_peek(2).obj, (Cmd) val_peek(0).obj); trace("Cmd - IF BExpr THEN Prog matched\n");}
break;
case 75:
//#line 275 "./compiler.y"
{yyval.obj = new If( (BExpr) val_peek(4).obj, (Cmd) val_peek(2).obj, (Cmd) val_peek(0).obj); trace("Cmd - IF BExpr THEN Prog Else Prog matched\n");}
break;
case 76:
//#line 276 "./compiler.y"
{yyval.obj = new IAssign( (IVName) val_peek(2).obj, (IExpr) val_peek(0).obj); trace("Cmd - IVName ASSIGN IExpr matched\n");}
break;
case 77:
//#line 277 "./compiler.y"
{yyval.obj = new BAssign( (BVName) val_peek(2).obj, (BExpr) val_peek(0).obj); trace("Cmd - BVName ASSIGN BExpr matched\n");}
break;
case 78:
//#line 278 "./compiler.y"
{yyval.obj = new Sig(val_peek(1).sval); trace("Cmd - Sig(" + val_peek(1).sval + ")  matched\n");}
break;
case 79:
//#line 279 "./compiler.y"
{yyval.obj = new ISig(val_peek(3).sval, (IExpr) val_peek(1).obj); trace("Cmd - Sig(" + val_peek(3).sval + ", IEXpr)  matched\n");}
break;
case 80:
//#line 280 "./compiler.y"
{yyval.obj = new Atomic((Cmd)val_peek(0).obj); trace("Cmd - Atomic Prog matched\n");}
break;
case 81:
//#line 281 "./compiler.y"
{yyval.obj = new NoOp(); trace("Cmd - NOOP matched\n");}
break;
case 82:
//#line 284 "./compiler.y"
{ yyval.obj = new IVarName(val_peek(0).sval); trace("IVName - IVAR (" + val_peek(0).sval + ") matched");}
break;
case 83:
//#line 285 "./compiler.y"
{ yyval.obj = new IArrayName(val_peek(3).sval, (IConst) val_peek(1).obj); trace("IVName - IAVAR (" + val_peek(3).sval + ") [IConst] matched");}
break;
case 84:
//#line 288 "./compiler.y"
{ yyval.obj = new BVarName(val_peek(0).sval); trace("BVName - BVAR (" + val_peek(0).sval + ") matched");}
break;
case 85:
//#line 289 "./compiler.y"
{ yyval.obj = new BArrayName(val_peek(3).sval, (IConst) val_peek(1).obj); trace("BVName - BAVAR (" + val_peek(3).sval + ") [IConst] matched");}
break;
case 86:
//#line 292 "./compiler.y"
{ yyval.obj = new VarIConst(val_peek(0).sval); trace("IConst - CONST (" + val_peek(0).sval + ") matched");}
break;
case 87:
//#line 293 "./compiler.y"
{ yyval.obj = new NumIConst(val_peek(0).ival); trace("IConst -  NUM (" + val_peek(0).ival + ") matched");}
break;
case 88:
//#line 294 "./compiler.y"
{ yyval.obj = new AddConst( (IConst)val_peek(2).obj, (IConst) val_peek(0).obj); trace("IConst - IConst + IConst matched");}
break;
case 89:
//#line 295 "./compiler.y"
{ yyval.obj = new SubConst( (IConst)val_peek(2).obj, (IConst) val_peek(0).obj); trace("IConst - IConst - IConst matched");}
break;
case 90:
//#line 296 "./compiler.y"
{ yyval.obj = new MultConst((IConst)val_peek(2).obj, (IConst) val_peek(0).obj); trace("IConst - IConst * IConst matched");}
break;
case 91:
//#line 297 "./compiler.y"
{ yyval.obj = new DivConst( (IConst)val_peek(2).obj, (IConst) val_peek(0).obj); trace("IConst - IConst / IConst matched");}
break;
case 92:
//#line 298 "./compiler.y"
{ yyval.obj = new ModConst( (IConst)val_peek(2).obj, (IConst) val_peek(0).obj); trace("IConst - IConst % IConst matched");}
break;
case 93:
//#line 299 "./compiler.y"
{ yyval.obj = new NegIConst((IConst)val_peek(0).obj); trace("IConst - -IConst matched");}
break;
case 94:
//#line 300 "./compiler.y"
{ yyval.obj = val_peek(1).obj; trace ("IConst - (IConst) matched");}
break;
case 95:
//#line 303 "./compiler.y"
{yyval.obj = new Not( (BExpr) val_peek(0).obj); trace("BExpr -  !BExpr matched");}
break;
case 96:
//#line 304 "./compiler.y"
{yyval.obj = new And( (BExpr) val_peek(2).obj, (BExpr) val_peek(0).obj);trace("BExpr - BExpr AND BExpr matched");}
break;
case 97:
//#line 305 "./compiler.y"
{yyval.obj = new Or( (BExpr) val_peek(2).obj, (BExpr) val_peek(0).obj);trace("BExpr - BExpr OR BExpr matched");}
break;
case 98:
//#line 306 "./compiler.y"
{yyval.obj = new Eq( (IExpr) val_peek(2).obj, (IExpr) val_peek(0).obj); trace("BExpr - IExpr = IExpr matched");}
break;
case 99:
//#line 307 "./compiler.y"
{yyval.obj = new Ge( (IExpr) val_peek(2).obj, (IExpr) val_peek(0).obj); trace("BExpr - IExpr GE IExpr matched");}
break;
case 100:
//#line 308 "./compiler.y"
{yyval.obj = new Gt( (IExpr) val_peek(2).obj, (IExpr) val_peek(0).obj); trace("BExpr - IExpr > IExpr matched");}
break;
case 101:
//#line 309 "./compiler.y"
{yyval.obj = new Le( (IExpr) val_peek(2).obj, (IExpr) val_peek(0).obj);  trace("BExpr - IExpr LE IExpr matched");}
break;
case 102:
//#line 310 "./compiler.y"
{yyval.obj = new Lt( (IExpr) val_peek(2).obj, (IExpr) val_peek(0).obj);  trace("BExpr - IExpr < IExpr matched");}
break;
case 103:
//#line 311 "./compiler.y"
{yyval.obj = val_peek(1).obj;  trace("BExpr - (BExpr) matched");}
break;
case 104:
//#line 312 "./compiler.y"
{yyval.obj = new True();  trace("BExpr - TRUE matched");}
break;
case 105:
//#line 313 "./compiler.y"
{yyval.obj = new False(); trace("BExpr - FALSE matched");}
break;
case 106:
//#line 314 "./compiler.y"
{yyval.obj = val_peek(0).obj; trace("BExpr - BVar matched");}
break;
case 107:
//#line 317 "./compiler.y"
{ yyval.obj = new BVar(val_peek(0).sval);  trace("BVar - BVAR("+val_peek(0).sval+") matched");}
break;
case 108:
//#line 318 "./compiler.y"
{ yyval.obj = new BArray(val_peek(3).sval, (IConst) val_peek(1).obj);trace("BVar - BVAR("+val_peek(3).sval+") [IConst]  matched");}
break;
case 109:
//#line 321 "./compiler.y"
{yyval.obj = new Plus( (IExpr) val_peek(2).obj, (IExpr) val_peek(0).obj);trace("IExpr - IExpr + IExpr matched");}
break;
case 110:
//#line 322 "./compiler.y"
{yyval.obj = new Minus( (IExpr) val_peek(2).obj, (IExpr) val_peek(0).obj);trace("IExpr - IExpr - IExpr matched");}
break;
case 111:
//#line 323 "./compiler.y"
{yyval.obj = new Times( (IExpr) val_peek(2).obj, (IExpr) val_peek(0).obj);trace("IExpr - IExpr * IExpr matched");}
break;
case 112:
//#line 324 "./compiler.y"
{yyval.obj = new Div( (IExpr) val_peek(2).obj, (IExpr) val_peek(0).obj);trace("IExpr - IExpr / IExpr matched");}
break;
case 113:
//#line 325 "./compiler.y"
{yyval.obj = new Mod( (IExpr) val_peek(2).obj, (IExpr) val_peek(0).obj);trace("IExpr - IExpr % IExpr matched");}
break;
case 114:
//#line 326 "./compiler.y"
{yyval.obj = new Max( (IExpr)val_peek(3).obj, (IExpr)val_peek(1).obj); trace("IExpr - MAX ( IExpr, IExpr) matched");}
break;
case 115:
//#line 327 "./compiler.y"
{yyval.obj = new Min( (IExpr)val_peek(3).obj, (IExpr)val_peek(1).obj); trace("IExpr - MIN ( IExpr, IExpr) matched");}
break;
case 116:
//#line 328 "./compiler.y"
{yyval.obj = new Neg( (IExpr) val_peek(0).obj);trace("IExpr - -IExpr matched");}
break;
case 117:
//#line 329 "./compiler.y"
{yyval.obj = val_peek(1).obj; trace("IExpr - (IExpr) matched");}
break;
case 118:
//#line 330 "./compiler.y"
{ yyval.obj = new IVarConst(val_peek(0).sval); trace("IExpr - CONST (" + val_peek(0).sval + ") matched");}
break;
case 119:
//#line 331 "./compiler.y"
{ yyval.obj = new NumConst(val_peek(0).ival); trace("IExpr -  NUM (" + val_peek(0).ival + ") matched");}
break;
case 120:
//#line 332 "./compiler.y"
{yyval.obj = val_peek(0).obj;trace("IExpr - IVar matched");}
break;
case 121:
//#line 335 "./compiler.y"
{ yyval.obj = new IVar(val_peek(0).sval);trace("IVar - IVAR("+val_peek(0).sval+") matched");}
break;
case 122:
//#line 336 "./compiler.y"
{ yyval.obj = new IArray(val_peek(3).sval, (IConst) val_peek(1).obj);trace("IVar - IVAR("+val_peek(3).sval+") [IConst]  matched");}
break;
case 123:
//#line 340 "./compiler.y"
{ 
			asserts.add(new BoolAssertion(progs.get(val_peek(0).sval),(BExpr)val_peek(2).obj));
			trace("Assertion - ASSERT ALWAYS BExpr IN PROGRAM(" + val_peek(0).sval + ") matched");
		}
break;
case 124:
//#line 345 "./compiler.y"
{ 
			asserts.add(new BoolAssertion(progs.get(val_peek(0).sval),new Not((BExpr)val_peek(2).obj)));
			trace("Assertion - ASSERT NEVER BExpr IN PROGRAM(" + val_peek(0).sval + ") matched");
		}
break;
case 125:
//#line 350 "./compiler.y"
{
			asserts.add(new SignalAssertion(progs.get(val_peek(0).sval), (Vector<String>)val_peek(3).obj));
			trace("Assertion - ASSERT NOSIGNAL { SignalList } IN PROGRAM(" + val_peek(0).sval + ")"); 
		}
break;
case 126:
//#line 356 "./compiler.y"
{Vector<String> vec = new Vector<String>(); vec.add(val_peek(0).sval); yyval.obj = vec; trace("SignalList - Signal(" + val_peek(0).sval + ") matched");}
break;
case 127:
//#line 357 "./compiler.y"
{((Vector<String>)val_peek(0).obj).add(val_peek(2).sval); yyval.obj = val_peek(0).obj; trace("SignalList - Signal(" + val_peek(2).sval + ") , SignalList matched");}
break;
case 128:
//#line 360 "./compiler.y"
{yyval.sval = val_peek(0).sval; trace("Signal - SIGNAME(" + val_peek(0).sval + ") matched");}
break;
case 129:
//#line 361 "./compiler.y"
{yyval.sval = val_peek(2).sval + "." + String.valueOf(val_peek(0).ival); trace("Signal - ISIGNAME(" + val_peek(2).sval + ") . NUM(" + String.valueOf(val_peek(0).ival));}
break;
case 130:
//#line 362 "./compiler.y"
{yyval.sval = "outofrange"; trace("Signal - OUTOFRANGE matched");}
break;
//#line 1477 "Parser.java"
//########## END OF USER-SUPPLIED ACTIONS ##########
    }//switch
    //#### Now let's reduce... ####
    if (yydebug) debug("reduce");
    state_drop(yym);             //we just reduced yylen states
    yystate = state_peek(0);     //get new state
    val_drop(yym);               //corresponding value drop
    yym = yylhs[yyn];            //select next TERMINAL(on lhs)
    if (yystate == 0 && yym == 0)//done? 'rest' state and at first TERMINAL
      {
      if (yydebug) debug("After reduction, shifting from state 0 to state "+YYFINAL+"");
      yystate = YYFINAL;         //explicitly say we're done
      state_push(YYFINAL);       //and save it
      val_push(yyval);           //also save the semantic value of parsing
      if (yychar < 0)            //we want another character?
        {
        yychar = yylex();        //get next character
        if (yychar<0) yychar=0;  //clean, if necessary
        if (yydebug)
          yylexdebug(yystate,yychar);
        }
      if (yychar == 0)          //Good exit (if lex returns 0 ;-)
         break;                 //quit the loop--all DONE
      }//if yystate
    else                        //else not done yet
      {                         //get next state and push, for next yydefred[]
      yyn = yygindex[yym];      //find out where to go
      if ((yyn != 0) && (yyn += yystate) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yystate)
        yystate = yytable[yyn]; //get new state
      else
        yystate = yydgoto[yym]; //else go to new defred
      if (yydebug) debug("after reduction, shifting from state "+state_peek(0)+" to state "+yystate+"");
      state_push(yystate);     //going again, so push state & val...
      val_push(yyval);         //for next action
      }
    }//main loop
  return 0;//yyaccept!!
}
//## end of method parse() ######################################



//## run() --- for Thread #######################################
/**
 * A default run method, used for operating this parser
 * object in the background.  It is intended for extending Thread
 * or implementing Runnable.  Turn off with -Jnorun .
 */
public void run()
{
  yyparse();
}
//## end of method run() ########################################



//## Constructors ###############################################
/**
 * Default constructor.  Turn off with -Jnoconstruct .

 */
public Parser()
{
  //nothing to do
}


/**
 * Create a parser, setting the debug to true or false.
 * @param debugMe true for debugging, false for no debug.
 */
public Parser(boolean debugMe)
{
  yydebug=debugMe;
}
//###############################################################



}
//################### END OF CLASS ##############################
